org.keycloak.theme

## Class DefaultKeycloakThemeProvider

- java.lang.Object
- - org.keycloak.theme.DefaultKeycloakThemeProvider

- All Implemented Interfaces:
    ThemeProvider, Provider

      public class DefaultKeycloakThemeProvider
      extends Object
      implements ThemeProvider

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BASE`
    `static String` | `KEYCLOAK`
    `static String` | `PATTERNFLY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultKeycloakThemeProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `Theme` | `createTheme(String name, Theme.Type type)`
    `int` | `getProviderPriority()`
    `boolean` | `hasTheme(String name, Theme.Type type)`
    `Set<String>` | `nameSet(Theme.Type type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BASE

          public static final String BASE

      See Also:
        Constant Field Values

    - #### PATTERNFLY

          public static final String PATTERNFLY

      See Also:
        Constant Field Values

    - #### KEYCLOAK

          public static final String KEYCLOAK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DefaultKeycloakThemeProvider

          public DefaultKeycloakThemeProvider()

  - ### Method Detail

    - #### getProviderPriority

          public int getProviderPriority()

      Specified by:
        `getProviderPriority` in interface `ThemeProvider`

    - #### createTheme

          public Theme createTheme(String name,
                          Theme.Type type)
                            throws IOException

      Specified by:
        `createTheme` in interface `ThemeProvider`
      Throws:
        `IOException`

    - #### nameSet

          public Set<String> nameSet(Theme.Type type)

      Specified by:
        `nameSet` in interface `ThemeProvider`

    - #### hasTheme

          public boolean hasTheme(String name,
                         Theme.Type type)

      Specified by:
        `hasTheme` in interface `ThemeProvider`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2014. All Rights Reserved.